PUT openapi/students/{userIdentifier}/profile
Authorization
Access to this endpoint is granted if all following conditions are true:
- Authenticated territory has access to center which matches identifier given in "centerId" uri parameter.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| userIdentifier | PearsonEnglish.LearningServices.Business.Helpers.UserIdentifier |
Required |
Body Parameters
PearsonEnglish.LearningServices.Core.Models.Views.StudentViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| UserName | string |
None. |
|
| StudentCode | string |
None. |
|
| Gender | PearsonEnglish.LearningServices.Core.Models.Enums.Gender |
None. |
|
| NativeLanguageId | globally unique identifier |
None. |
|
| SecondaryLanguageId | globally unique identifier |
None. |
|
| PersonalMotivationId | globally unique identifier |
None. |
|
| NationalityId | globally unique identifier |
None. |
|
| ProfessionId | globally unique identifier |
None. |
|
| NativeLanguage | string |
None. |
|
| SecondaryLanguage | string |
None. |
|
| PersonalMotivation | string |
None. |
|
| Nationality | string |
None. |
|
| Profession | string |
None. |
|
| SocialNetworkId1 | globally unique identifier |
None. |
|
| SocialNetworkId2 | globally unique identifier |
None. |
|
| SocialNetworkId3 | globally unique identifier |
None. |
|
| SocialNetworkId4 | globally unique identifier |
None. |
|
| ConsultantId | globally unique identifier |
None. |
|
| CenterId | globally unique identifier |
None. |
|
| CenterName | string |
None. |
|
| CenterReferenceId | string |
None. |
|
| ConsultantFullName | string |
None. |
|
| ConsultantPhotoUris | Dictionary of Nse.ServiceBus.DataContracts.ImageResolution [key] and string [value] |
None. |
|
| LabTeacherId | globally unique identifier |
None. |
|
| LabTeacherFullName | string |
None. |
|
| LabTeacherPhotoUris | Dictionary of Nse.ServiceBus.DataContracts.ImageResolution [key] and string [value] |
None. |
|
| IsAycl | boolean |
None. |
|
| Birthdate | date |
None. |
|
| About_Me | string |
None. |
|
| Interest_hobbies | string |
None. |
|
| Why_study_english | Collection of string |
None. |
|
| Study_reason | string |
None. |
|
| UserId | globally unique identifier |
None. |
|
| tempisNewStudent | boolean |
None. |
|
| LastName | string |
None. |
|
| FirstName | string |
None. |
|
| SsdsId | string |
None. |
|
| StudentId | integer |
None. |
|
| PhotoUris | Dictionary of Nse.ServiceBus.DataContracts.ImageResolution [key] and string [value] |
None. |
|
| SocialNetworkAddress1 | string |
None. |
|
| SocialNetworkAddress2 | string |
None. |
|
| SocialNetworkAddress3 | string |
None. |
|
| SocialNetworkAddress4 | string |
None. |
|
| SocialNetwork1 | string |
None. |
|
| SocialNetwork2 | string |
None. |
|
| SocialNetwork3 | string |
None. |
|
| SocialNetwork4 | string |
None. |
|
| string |
None. |
||
| MobileTelephone | string |
None. |
|
| HomeTelephone | string |
None. |
|
| WorkTelephone | string |
None. |
|
| PreferredContactMethod | PearsonEnglish.LearningServices.Core.Models.Enums.StudentPreferredContactMethods |
None. |
|
| PreferredSocialNetworkId | globally unique identifier |
None. |
|
| PreferredSocialNetworkName | string |
None. |
|
| PreferredSocialNetworkAddress | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"UserName": "sample string 1",
"StudentCode": "sample string 2",
"Gender": 0,
"NativeLanguageId": "efc7c0f2-d4df-4b1c-8666-eb97590ce898",
"SecondaryLanguageId": "c50b8e10-7fa9-428b-85dc-a693730121ce",
"PersonalMotivationId": "7916e59d-350c-482b-8932-693ef6c53d8b",
"NationalityId": "8d4c7010-f450-425f-ad9f-d2b08639b4ec",
"ProfessionId": "05c4f438-a26d-4e6b-9e6b-a5a05c89e418",
"NativeLanguage": "sample string 3",
"SecondaryLanguage": "sample string 4",
"PersonalMotivation": "sample string 5",
"Nationality": "sample string 6",
"Profession": "sample string 7",
"SocialNetworkId1": "cb17a074-ba49-4809-a391-fad2fc74749d",
"SocialNetworkId2": "8f98a1f1-3e8d-4a6c-9cad-864fef3e3fec",
"SocialNetworkId3": "df5811ad-f3bd-46d1-aa31-031023010a8f",
"SocialNetworkId4": "1a5f0e70-1cec-44b6-9acf-d70c78ad3178",
"ConsultantId": "b923012b-7488-46a5-b043-b630c9109309",
"CenterId": "4738d1d5-c0d3-4b87-83c6-1ce3d27cf11d",
"CenterName": "sample string 8",
"CenterReferenceId": "sample string 9",
"ConsultantFullName": "sample string 10",
"ConsultantPhotoUris": {
"Small": "sample string 1"
},
"LabTeacherId": "5e7df409-adf0-49e5-ba37-ddcb07a9de74",
"LabTeacherFullName": "sample string 11",
"LabTeacherPhotoUris": {
"Small": "sample string 1"
},
"IsAycl": true,
"Birthdate": "2026-11-06",
"About_Me": "sample string 13",
"Interest_hobbies": "sample string 14",
"Why_study_english": [
"sample string 1",
"sample string 2"
],
"Study_reason": "sample string 15",
"UserId": "b0f5c663-7ab3-487b-bc59-4d5d92c411ea",
"tempisNewStudent": true,
"LastName": "sample string 18",
"FirstName": "sample string 19",
"SsdsId": "sample string 20",
"StudentId": 21,
"PhotoUris": {
"Small": "sample string 1"
},
"SocialNetworkAddress1": "sample string 22",
"SocialNetworkAddress2": "sample string 23",
"SocialNetworkAddress3": "sample string 24",
"SocialNetworkAddress4": "sample string 25",
"SocialNetwork1": "sample string 26",
"SocialNetwork2": "sample string 27",
"SocialNetwork3": "sample string 28",
"SocialNetwork4": "sample string 29",
"Email": "sample string 30",
"MobileTelephone": "sample string 31",
"HomeTelephone": "sample string 32",
"WorkTelephone": "sample string 33",
"PreferredContactMethod": 0,
"PreferredSocialNetworkId": "5fedea19-7256-4d7b-befe-2a197c66ffae",
"PreferredSocialNetworkName": "sample string 34",
"PreferredSocialNetworkAddress": "sample string 35"
}
Response Information
Resource Description
System.Web.Http.IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.